Bug 8403 - Kernel panic после подключение через модем и попытку войти на /bin/login
: Kernel panic после подключение через модем и попытку войти на /bin/login
Status: CLOSED WONTFIX
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/kernel-image-std-up)
: 2.4
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-11-03 11:01 by
Modified: 2008-02-16 17:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-03 11:02:01
Ядро: Linux version 2.4.26-std-up-alt12 (builder@mash.office.altlinux.ru) (gcc
version 2.96 20000731 (ALT Linux, buil
d 2.96-alt6)) #1 Thu May 12 14:53:58 MSD 2005

После подключения через модем на /dev/login получаем kernel panic!
На модеме висит mgetty. Последнее в логе mgetty:
//------------------
11/03 05:10:01 ##### data dev=ttyS1, pid=830, caller='none', conn='57600',
name='', cmd='/bin/login', user='5.'
//------------------
При этом в логе аутентификации имеем:
//------------------
Nov  3 05:10:01 server pam_tcb[830]: Bad username
Nov  3 05:10:01 server pam_tcb[830]: login: Authentication failed for UNKNOWN
USER from LOGIN(uid=0)
Nov  3 05:10:03 server pam_tcb[830]: login: Authentication failed for UNKNOWN
USER from LOGIN(uid=0)
Nov  3 05:10:14 server pam_tcb[20285]: crond: Session closed for root
Nov  3 05:10:21 server pam_tcb[830]: Bad username
//------------------
------- Comment #1 From 2005-11-04 09:39:31 -------
Кстате, в "user='5.'" точка не простая, это управляющий символ 0x05(^E).
Я даже незнаю как такое повторить. Ктото из моих клиентов такое шлёт.
И ещё одно, в /etc/mgetty+sendfax/login.config имею строку:
#*      -       -       /bin/login @

По идее пускать на login недолжен, а он пускает. Это фича или бага? 
------- Comment #2 From 2005-11-04 17:59:37 -------
Нужно получить отладочную информацию, выдаваемую ядром. Это можно сделать через
serial console (указать при загрузке ядра параметр вида console=ttyS0,115200 и
подключить соответствующий порт через нульмодемный кабель к другой машине);
если
такой возможности нет, придётся возиться с фотографированием экрана или
переписыванием вывода вручную (если используется такой вариант, лучше
использовать не стандартный текстовый режим 80x25, а либо vga=0xf01 (80x50),
либо vesafb, чтобы информация уместилась на экране - scrollback в такой
ситуации
может не работать).

Кроме того, необходимо сохранить содержимое файлов /proc/ksyms и /proc/modules
(содержимое этих файлов меняется при каждой перезагрузке - нужны именно данные,
соответствующие конкретному oops/panic).

Запуск /bin/login, когда соответствующая строка в файле конфигурации
закомментирована - это отдельная проблема, по которой нужно открыть отдельный
баг на mgetty.
------- Comment #3 From 2005-12-14 17:05:23 -------
Перестало паниковать после установки
*       -       -       /sbin/nologin @
в /etc/mgetty+sendfax/login.config
------- Comment #4 From 2006-12-17 21:45:08 -------
На 2.6.18 часом не можешь проверить?
------- Comment #5 From 2007-01-09 09:31:09 -------
(In reply to comment #4)
> На 2.6.18 часом не можешь проверить?
Это врядли. На сервере у меня ALT2.4 и менять на неподдерживаемое ядро из серии
2.6, на боевом сервере, у меня желания нет совсем.
------- Comment #6 From 2007-06-27 11:05:55 -------
Ну а на стенде попробовать воспроизвести?  Или "даже незнаю как такое
повторить"?
------- Comment #7 From 2007-06-29 19:17:24 -------
(In reply to comment #6)
> Ну а на стенде попробовать воспроизвести?  Или "даже незнаю как такое 
повторить"?
Я пытался от себя такое с имитировать, не получилось. Ставлю баге Later, 
может автоматом проверится с переползанием сервера на ALT4.0.
------- Comment #8 From 2008-02-15 23:14:43 -------
re
------- Comment #9 From 2008-02-15 23:15:03 -------
Так что вышло?  на 2.4 это wontfix уже...
------- Comment #10 From 2008-02-16 17:34:38 -------
(In reply to comment #9)
> Так что вышло?  на 2.4 это wontfix уже...
Ещё не переполз. Поэтому и для fetchmail полигона нет. Надеюсь со следующего 
месяца начать.